- should reorder parameters in the constructor since is less likely
  to change the API server than the username or password, or even
  created_by (which should be better renamed to tool or something)
- setters for username, password and created-by might make sense
  since for read-only operations those would be unnecessary and
  because for tools built on top of the OsmApi class it might be
  useful to identify that tool
- default username and password should be read from
  XDG_CONFIG_HOME/<fs_friendly_tool_name>/osm-auth
- OsmApi should handle gracefully errors and maybe define new
  exceptions to be explicit about what happened (?)
